<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="horizontal"
    android:background="@drawable/bg_form3"
    >
    <LinearLayout
        android:id="@+id/root"
        android:layout_width="match_parent"
        android:orientation="horizontal"
        android:layout_height="60dp">
        <TextView
            android:layout_width="1dp"
            android:layout_height="match_parent"
            />
        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="3">

            <Spinner
                android:id="@+id/spinner_name"
                style="@style/commonSpinnerStyle"
                android:background="@drawable/spinner_border_bg"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_centerVertical="true"
                android:layout_marginTop="3dp"
                android:layout_marginBottom="3dp"
                android:layout_marginEnd="3dp"
                android:layout_marginStart="3dp"
                android:textSize="26sp"/>

        </LinearLayout>

        <TextView
            android:layout_width="1dp"
            android:layout_height="match_parent"
            android:background="@color/color3"
            />
        <RelativeLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="3">
            <EditText
                android:id="@+id/edittext_weight"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:hint="请输入重量"
                android:inputType="number|numberDecimal"
                android:digits="0123456789."
                android:gravity="center"
                android:maxLines="1"
                android:padding="3dp"
                android:textSize="26sp"
                />
        </RelativeLayout>
        <TextView
            android:layout_width="1dp"
            android:layout_height="match_parent"
            android:background="@color/color3"
            />
        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="3">
            <TextView
                android:id="@+id/btn_material_delete"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:text="删除"
                android:gravity="center"
                android:textSize="26sp"
                android:textColor="@color/red_primary"/>
        </LinearLayout>
        <TextView
            android:layout_width="1dp"
            android:layout_height="match_parent"
            android:background="@color/color3"
            />
    </LinearLayout>


</LinearLayout>